Introductie

7+ Taskbar Tweaker kan gebruikt worden om verschillende onderdelen van de Windows taakbalk te configureren.

De meeste via 7+ Taskbar Tweaker configureerbare opties kunnen niet worden getweakt d.m.v. taakbalkeigenschappen of via het register.

7+ Taskbar Tweaker is ontworpen om te worden gebruikt in Windows 7, Windows 8, Windows 8.1, en Windows 10.

Links

  • Webpagina
  • Fouten/features tracker
  • Donatie

Copyright © 2009-2017 door RaMMicHaeL. Alle rechten voorbehouden.


Wijzigingen logboek

Introductie ››

v5.4 (May 19, 2017)

  • Added support for the Windows 10 Fall Creators Update (build 16299).
  • The tweaker now shows a warning message for unsupported Windows 10 builds.
  • Added an advanced Mouse Button Control option to alphabetically sorts group items.
  • When the "Control volume when mouse is over: The notification area" option is on, it is being activated over the clock of secondary monitors now, too.
  • Windows 10: Double/middle clicking the taskbar opens the start menu on the correct monitor.
  • Windows 10 and the no_start_btn_spacing advanced option: clicking on the empty corner now opens the start menu.
  • Fixed the "Combine grouped buttons" option when switching virtual desktops on Windows 10.
  • Fixed a bug with the drag_towards_desktop advanced option, which could activate unrelated windows.
  • Added a Spanish help file, by Leonel Mira (carpediemando.890m.com).
  • Added a French help file, by Wullfk (easy-pc.org).

v5.3 (May 19, 2017)

  • Added support for the Windows 10 Creators Update (build 15063).

I want to thank everybody who donated for the porting effort : Steve Ellmore, Mark Light, Joe Gores, and other contributors .

  • Added the scroll_no_wrap advanced option, which disables the wrapping around behavior for the "cycle between taskbar buttons" option.
  • Fixed a bug in Windows 10 Anniversary Update, which could cause several options to work incorrectly.
  • Fixed taskbar items reordering while applying tweaks in several cases.
  • Fixed for Mouse Button Control advanced options: custom right click actions could cause the taskbar context menu to show up.
  • Fixed a bug which caused the tray_icons_padding advanced option to get reset sometimes.
  • Added Bulgarian translation, by Radoslav Nenchovski (Радослав Ненчовски).
  • Added Hebrew translation, by Gil Bar-Shlomo (גיל בר-שלמה).
  • Updated the Polish help file.

v5.2.1 (September 10, 2016)

  • Hotfix: disabling the thumbnail preview on hover caused the preview to not be displayed when clicking on a combined taskbar group.

v5.2 (September 9, 2016)

  • Added support for the Windows 10 Anniversary Update (build 14393).
  • Added the following supported values for the Mouse Button Control advanced options:

volumeicon - allows to customize actions for volume tray icon click.

showdesktop - allows to customize actions for the Show Desktop button.

  • Implemented the virtual_desktop_order_fix advanced option for Windows 10. The option preserves the order of the taskbar buttons when switching between virtual desktops.
  • Implemented the tray_icons_padding advanced option for Windows 10.
  • Fixed the multipage_wheel_scroll advanced option, which didn't work when the mouse was over the empty space of the taskbar.
  • Updated tray icon, with anti-aliasing and better support for high DPI.

The icon was designed by Daniel Beardsmore. Thanks!

  • Added Slovak translation, by Vladimír Kubala.
  • Other minor fixes and improvements.

v5.1 (December 4, 2015)

  • Added support for The First Major Update of Windows 10 (build 10586).
  • Fixed rearranging of Taskbar Inspector items when the scrollbar is visible.
  • Windows 10: when using the disable_topmost option, bring the taskbar to the foreground when the Windows key is pressed.
  • Improved the English dialog for high DPI.
  • Fixed: when closing a window with a middle click, if the window had an "are you sure?" message, the tweaker didn't always bring it to the foreground.

v5.0 (August 22, 2015)

  • Windows 10 support.

I want to thank everybody who donated for the porting effort : Mike T, Fraser Ntukula , and other contributors .

  • Fixed compatibility with the KB3072318 update for Windows 8.1.
  • Improved compatibility of pinned items with the option to disable grouping.
  • Added the disable_tray_icons_drag advanced option, which disables the drag operation of notification area items, i.e. makes reordering of items impossible.
  • Added the w10_large_icons advanced option, which changes taskbar icon sizes from 24x24 to 32x32 on Windows 10.
  • Added the cycle_same_virtual_desktop advanced option, which tweaks the Left click on combined item option to cycle only through windows that belong to the current virtual desktop.
  • Added a new option for the disable_taskbar_transparency advanced option, which allows to use the basic theme taskbar color (Windows 7).
  • Added Mouse Button Control options to maximize/restore a taskbar item, and to maximize/restore all buttons of a group.
  • Improved the no_width_limit advanced option to work for multiple monitors.
  • Fixed the disable_items_drag advanced option, which caused the thumbnail previews to not appear.
  • Fixed: when the disable_topmost advanced option was on, the start button could get stuck in hovered state on Windows 7.
  • A custom icon ("7+ Taskbar Tweaker.ico", if exists) is now applied for the main window as well.
  • Korean translation, by Metrics Spec.

v4.5.10 (April 7, 2015)

  • Added an automatic update feature, which can be enabled from the settings dialog.
  • Added the disable_items_drag advanced option, which disables the drag operation of taskbar items on the task list.
  • The tweaker now prevents explorer from changing AppIDs of folder windows when the current AppID is a random AppID (random_group_xxxxxxxx). This does not work if the folder window runs in a separate process.
  • Fixed: sometime decombining didn't work when taskbar animations are disabled.
  • Fixed an issue of the MinHook library, which could prevent the tweaker from working.
  • Fixed several crashes.

v4.5.8 (February 27, 2015)

  • Quick fix: fixed an incompatibility with several other tweaking programs.

v4.5.7 (February 26, 2015)

  • Added the no_start_btn_spacing advanced option, which allows to control the spacing size when the start button is hidden.
  • Added a new advanced option, right_drag_toggle_labels, which was always turned on with the "Drag within/between groups using right mouse button" option.
  • Added a new advanced option, show_desktop_on_hover, which makes the taskbar to show desktop when a file is dragged over it (similar to Windows XP).
  • Improved the disable_topmost advanced option in Windows 7.
  • If the file "7+ Taskbar Tweaker.ico" exists, it's used as a tray icon.
  • Finnish translation of the program and the help file, by Viligg.
  • Small fixes.

v4.5.6 (November 22, 2014)

  • Added the "disable_taskbar_transparency" advanced option.
  • Added the "always_show_tooltip" advanced option, which forces a tooltip to be shown on hover, even if the text fits the taskbar button.
  • Improved startup time for the case when only specific, lightweight options are used.
  • Fixed a possible crash.

v4.5.5 (October 31, 2014)

  • Made 7+ Taskbar Tweaker compatible with the 7+ Taskbar Tweaking Library .
  • Mouse Button Control: added options to minimize/close all items of a button group.
  • Fixed a crash with the "Middle click -> Minimize" option, which wasn't completely fixed in v4.5.4.
  • Improved the "disable_topmost" advanced option.

v4.5.4 (October 4, 2014)

  • Fixed the "Combining" option.
  • Fixed a crash with the "Middle click -> Switch to", "Middle click -> Minimize" options.
  • Fixed: the combination of the "Middle click" and "Left click on combined item" options didn't work correctly.

v4.5.3 (October 2, 2014)

  • Fixed a crash (Windows 8.1 Update 1 was not affected).

v4.5.2 (October 1, 2014)

  • Improved support for taskbar items of Metro applications.
  • Improved the disable_topmost advanced option.
  • Implemented an additional configuration setting for the disable_topmost advanced option, which allows to configure maximized windows to overlap the taskbar.
  • Improved the "Decombine: Active group" option when interacting with the task list (e.g. with a middle click).
  • Improved compatibility of Mouse Button Control advanced options with the following options: Pinned items -> Open with double click, Left click on combined item -> Cycle through windows.
  • Fixed: the scroll_maximize_restore advanced option didn't work correctly for IE (and probably for other programs which use multiple thumbnail previews for a single window).
  • Fixed a crash.

v4.5.1 (June 27, 2014)

  • New advanced option: disable_topmost, which allows you to make the taskbar non-topmost.
  • New advanced option: multirow_equal_width, which forces the items on every row of a multirow taskbar to have the same width.
  • New advanced option: scroll_maximize_restore, which extends the "minimize/restore when mouse is over..." option to switch between minimize/restore/maximize.
  • Fixed a crash for the drag_towards_desktop=5 advanced option on Windows 8.1 Update 1.

v4.5 (May 10, 2014)

  • Windows 8.1 Update 1 support.

I want to thank everybody who donated for the porting effort : Charles George, Justin Shillock (Platypus Man), and other contributors .

  • Improved compatibility with the "focus follows mouse" accessibility option.
  • Fixed a bug which prevented the thumbnail preview from closing under certain circumstances.
  • Fixed a rare bug when the shift or ctrl key became stuck.
  • Fixed: the main dialog didn't look correctly with the classic theme (Windows 7) for the following languages: Czech, German, Italian, Polish, Russian.
  • Fixed: explorer could crash under certain circumstances.

v4.4.6 (February 22, 2014)

  • Fixed the list_reverse_order advanced option for cases where the list contains lots of items and scrolling arrows are added.
  • Fixed, when using mouse wheel volume control: if a dialog other than the volume control is open (e.g. the Volume Mixer), mouse scroll didn't bring it to front.
  • Added a short delay before checking for an update. This might have fixed a crash which occurred when the PC woke up.
  • Fix: after clicking on the taskbar, volume control was launched even if the mouse is not inside the taskbar.
  • Fix: some windows couldn't be restored from the minimized state.
  • Japanese translation, by milksizegene.

v4.4.5 (January 5, 2014)

  • Hotfix: tray clock wasn't responsive to mouse hover events.

v4.4.4 (January 4, 2014)

  • New advanced option: list_reverse_order, which allows to reverse the displaying order of items in the preview list. To be used with the option Hovering -> List.
  • New advanced option: w7_show_desktop_classic_corner, which fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.
  • Mouse Button Control: options to cycle through windows by clicking the empty space of the taskbar.
  • When the Task Switcher window (Alt+Tab) is open, mouse scroll events aren't being captured by the taskbar.

v4.4.3 (December 17, 2013)

  • Fixed: on Windows 8/8.1 64-bit, clicking on a decombined button opens thumbnail preview instead of switching to the corresponding window.
  • Fixed: the no_width_limit advanced option didn't work on Windows 7 if the start button was hidden.

v4.4.2 (December 15, 2013)

  • New advanced option: tray_icons_padding, which allows to customize the horizontal padding between icons in the notification area.
  • New advanced option: no_width_limit, which removes the minimum width limitation of the vertical taskbar.
  • When the option to open pinned items with a double click is turned on, it's now possible to launch applications with Shift+click as well.
  • Advanced options now have more priority than regular options, e.g. if you customize the same key in the main window and in the Advanced Options Editor, the latter will apply.
  • The installer launches the tweaker as non-elevated, even if the installer itself was run as administrator.
  • Bug fixes.

v4.4.1 (November 29, 2013)

  • New advanced option: show_desktop_button_size, which allows to customize the size of the "Show desktop" button.
  • Mouse Button Control: an option to terminate the process associated with a specific window.
  • The Advanced Options Editor is now modeless, i.e. doesn't block the main window.
  • Fixed a serious bug which could lead to a crash or a failure to initialize if both:

1. More than one instance of the tweaker is being used on the PC (e.g. multiuser environment).

2. One or more of the "Mouse wheel" options is being used.

  • Minimal support for SysInternals Desktops.

v4.4 (November 12, 2013)

  • New option: Hide the Start button.
  • New option: Show Start menu/Start screen on double/middle click on the empty space.

This option is also available for the Mouse Button Control and Keyboard Shortcuts advanced options.

  • Advanced Options Editor. (See Advanced options in help file for more details.)
  • New advanced option: drag_towards_desktop, which was available as a check box.

It's not available from the main interface anymore, but the new option provides more customization.

  • Mouse Button Control: an option to show thumbnail previews.
  • Fixed: the window background was shown in high contrast mode.
  • Fixed: volume control sometimes appeared in a wrong location.

v4.3.1 (October 18, 2013)

  • New registry option that allows to hide the start button (currently works only for Windows 8.1).
  • New registry option that allows to scroll a multipage taskbar with the mouse wheel.
  • Improved tooltips on hover: removed delay after the first tooltip.
  • Fixed: Taskbar Inspector doesn't overlap the taskbar when it's set to auto-hide.
  • Arabic translation, by Cyb3r.

v4.3 (October 4, 2013)

  • Windows 8.1 support.
  • Taskbar Inspector: you can use Ctrl+C to copy selected items as text.
  • New registry options, scroll_reverse_cycle and scroll_reverse_minimize, which allow you to reverse the mouse wheel direction for certain tweaks.
  • Fixed a bug that caused taskbar icons to flicker for certain configuration when the taskbar is full.
  • Fixed a bug that could cause explorer to hang when Taskbar Inspector is open.
  • Fixed: Mouse Button Control options didn't work for X1/X2 mouse buttons, and sometimes didn't work correctly for double clicks.

v4.2.7 (July 18, 2013)

  • Labels on thumbnails are now displayed for items that were set to never show labels on the taskbar.
  • Added a new registry option, always_show_thumb_labels, which makes labels on thumbnails always visible.
  • Greek translation, by George Georgiou (Γιώργος Γεωργίου).

v4.2.6 (June 02, 2013)

  • Improved closing with a middle click - if a notification is shown before closing, the window is brought to the foreground.
  • Improved handling of hung windows.
  • Fixed a possible crash caused by the "When not grouping, place new items next to the existing ones" option.

v4.2.5 (May 14, 2013)

  • Added Keyboard Shortcuts advanced options. See help for more details.
  • Improved reordering between groups using the right mouse button.
  • When closing a window with a middle click, allow it to gain focus.
  • Fixed the tooltip volume control registry option.
  • Added access key shortcuts (Alt+X) to the tray icon right click menu.

v4.2.4 (April 30, 2013)

  • Made volume control compatible with the Volume Mixer.
  • Reverted a fix for Windows 7, which appears to be incompatible with other apps such as QTTabBar (now available as a registry option).
  • Fix: the option to not show jump list when dragging made thumbnails appear in an incorrect position.

v4.2.3 (April 26, 2013)

  • Registry option: fix taskbar buttons rearrangement caused by hung windows. Enabled by default.

More information .

  • Turkish translation of the help file, by Fatih Fırıncı.
  • Fix: use a more reliable injection method. Previously, the tweaker could silently fail to inject.
  • Fix: wait until explorer is completely initialized before attempting to inject.

v4.2.2 (April 16, 2013)

  • Fixed a serious bug that could lead to an explorer crash when Taskbar Inspector is open.
  • Turkish translation update.

v4.2.1 (April 14, 2013)

  • Fix: apply correct width when showing seconds on the tray clock. Mostly affects users of classic theme with small icons preference.
  • Registry option: fix clock width, which is wider than it should be, when using small icons.

v4.2 (April 13, 2013)

  • New option: Display seconds on the tray clock.
  • New option: Don't show jump list when dragging a taskbar item towards the desktop.
  • Simplified Chinese translation of the help file, by horan.
  • Improved the "decombine active group"/"decombine on mouse hover" options compatibility with jump lists.
  • Improved the injection method.
  • Small fixes.

v4.1.8 (April 1, 2013)

  • Quick fix: clicking the clock doesn't work on Windows 7.

v4.1.7 (April 1, 2013)

  • Macedonian translation, by Милан Велковски.
  • Small fixes.

v4.1.6 (March 23, 2013)

  • Right Click -> Standard window menu: Applies for keyboard as well (Windows + T -> Menu key).
  • Mouse Button Control: Fixed double click control (See help for more information about the option).

v4.1.5 (February 22, 2013)

  • Serbian translation, by ozzii (оззии).

v4.1.4 (February 9, 2013)

  • Ukrainian translation, by Ura Chorniy (Юра Чорний).
  • Czech translation, by Drusilla Peterek and Stepan Hasler.
  • Polish translation of the help file, by Artur Łukasik (MAURYCY).
  • Latvian, Polish, and Russian translation updates.

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space double/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on its thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thumbnails for a single window (like IE and its thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


Tweaks (Aanpassingen)

De tweaks zijn verdeeld in drie secties:

  • Taakbalk items

Over taakbalk gerelateerde items als middel/rechter muisklik, de muis eroverheen bewegen en items verslepen en ergens op laten vallen.

  • Groeperen en combineren

Groeperen uitzetten, taakbalkknoppen verslepen tussen groepen, combineren aan- en uitzetten en meer.

  • Andere taakbalk opties

Voorziet in muiswiel opties, op lege taakbalkruimte muisklikken en nog enkele andere opties.


Taakbalk items

Tweaks (Aanpassingen) ››

Terminologie

Opties

  • Rechter muisklik
  • Middel muisklik
  • Erop laten vallen (Drag & Drop)
  • Muis eroverheen bewegen
  • Miniaturen
  • Vastgemaakte items


Rechter muisklik

Tweaks (Aanpassingen) ›› Taakbalk items ››

Definieert het menu dat wordt getoond bij een rechter muisklik op een taakbalk item:

  • Jumplist (standaard)

  • Standaard venstermenu

Opmerking

Druk Shift in tijdens een rechter muisklik op een taakbalk item om het andere menu te tonen.


Middel muisklik

Tweaks (Aanpassingen) ›› Taakbalk items ››

Definieert de actie die uitgevoerd wordt bij een middel muisklik op een taakbalk item:

  • Nieuwe programma-instantie (standaard)
  • Wisselen naar
  • Minimaliseren
  • Sluiten


Slepen en laten vallen (Drag & Drop)

Tweaks (Aanpassingen) ›› Taakbalk items ››

Definieert de uit te voeren actie wanneer je een bestand op een taakbalk item laat vallen:

  • Eraan vastmaken (standaard)

  • Openen met

Opmerking

Houd Shift ingedrukt tijdens het muis over een taakbalk item heen bewegen om de andere actie uit te laten voeren.


Muis eroverheen bewegen

Tweaks (Aanpassingen) ›› Taakbalk items ››

Definieert wat wordt getoond als de muis over een taakbalk item bewogen wordt:

  • Toon miniatuurvoorbeeld (standaard)

  • Lijst

  • Hint (tooltip)

  • Niets


Miniaturen

Tweaks (Aanpassingen) ›› Taakbalk items ››

Slepen om te herordenen

Hiermee kunnen miniatuurvoorbeelden worden versleept en hun volgorde worden aangepast.

Opmerking

Gewoonlijk zal het herordenen van de miniatuurvoorbeelden ook de taakbalkknoppen herordenen maar niet altijd. Als een programma eigen aangepaste miniatuurvoorbeeld gebruikt (zoals Internet Explorer miniatuurvoorbeelden gebruikt voor de tabbladen), dan zijn de miniatuurvoorbeelden en de taakbalkknoppen niet gerelateerd aan elkaar en herordening heeft dan geen effect op de onderlinge ordening.

Linker muisklik op de actieve miniatuur minimaliseert het venster

Indien aangevinkt, zal een linker muisklik op het miniatuur (-voorbeeld) van het actieve venster deze minimaliseren.


Vastgemaakte items

Tweaks (Aanpassingen) ›› Taakbalk items ››

Verwijder extra ruimte tussen items

Verkleint de ruimte tussen vastgemaakte items.

Ervoor

Erna

Opmerking

Deze optie heeft geen effect bij een verticale taakbalk.

Openen met dubbel muisklik

Maakt dat vastgemaakte items starten na een dubbele muisklik i.p.v. een enkele muisklik. Open met een enkele muisklik en tegelijk de Shift-toets ingedrukt. Helpt om te vermijden dat door per ongeluk klikken op vastgemaakte items programma's opstarten.


Groeperen en combineren

Tweaks (Aanpassingen) ››

Terminologie

Opties

  • Groeperen
  • Combineren
  • Linker muisklik op gecombineerd item


Groeperen

Tweaks (Aanpassingen) ›› Groeperen en combineren ››

Sinds Windows 7 heeft elk venster een programma-ID. Als deze niet door het programma is gedefinieerd, dan wordt het programma-ID standaard het pad naar de programma-afbeelding.

Standaard worden taakbalkknoppen gegroepeerd op het programma-ID van de vensters. Deze optie maakt het mogelijk dit gedrag aan te passen:

  • Groepeer op programma-ID (standaard)

  • Niet groeperen

Opmerking

Het is mogelijk om te groeperen per programma-ID met de Taakbalk Inspecteur .

Bij niet-groeperen, plaats nieuwe items naast de bestaande

Wanneer groeperen is uitgeschakeld, verschijnen nieuw aangemaakte taakbalkknoppen aan het einde van de taakbalk. Deze optie maakt dat deze items naast het item verschijnen waarmee ze zouden groeperen als groeperen ingeschakeld zou zijn.

Als bijvoorbeeld een tweede Notepad (Kladblok) venster geopend wordt, dan zou dit standaard zo worden getoond:

Met groeperen uitgeschakeld wordt dit zo getoond:

Met groeperen uitgeschakeld en deze optie aangevinkt wordt dit zo getoond:

Vastgemaakte items niet groeperen

Elk vastgemaakt item heeft een programma-ID, precies als de taakbalkknoppen. Standaard, als een taakbalkknop met hetzelfde programma-ID als het vastgemaakte item aangemaakt wordt, vervangt deze het vastgemaakte item. Deze optie maakt dat de taakbalkknop aan het einde van de taakbalk wordt getoond, terwijl het vastgemaakte item item onaangeroerd blijft.

Bijvoorbeeld een vastgemaakt item van Notepad (Kladblok):

Als een Notepad (Kladblok) venster geopend wordt is het standaard:

Met deze optie ingeschakeld wordt het:

Opmerking

Het is mogelijk om een vastgemaakte item-groepering per programma-ID te controleren met de Taakbalk Inspecteur .

Sleep binnen/tussen groepen met gebruik van de rechter muisknop

Deze optie maakt het mogelijk om op een taakbalkknop rechts te muisklikken om deze dan te verslepen om de positie te veranderen:

  • Wanneer versleept binnen een groep, dan wordt de positie van de taakbalkknop binnen die groep veranderd.
  • Wanneer versleept naar een ander taakbalk item buiten de groep, dan wordt de taakbalk knop met dat taakbalk item gegroepeerd.
  • Wanneer versleept buiten de taaklijst, dan verplaatst de taakbalkknop naar een nieuw aangemaakte groep.


Combineren

Tweaks (Aanpassingen) ›› Groeperen en combineren ››

Een groep taakbalkknoppen zou wel of niet gecombineerd kunnen zijn afhankelijk van de taakbalkeigenschappen.

Met deze optie kun je deze eigenschappen aanpassen:

  • Gebruik de taakbalkeigenschappen (standaard)

Altijd combineren, verberg de labels:

Nooit combineren, toon de labels:

  • Combineer gegroepeerde items

Altijd combineren, toon de labels:

  • Gegroepeerde items niet combineren

Altijd combineren, verberg de labels:

Opmerkingen

  • Deze optie heeft geen enkel effect als de "Combineren als taakbalk vol is" optie is gekozen bij taakbalkeigenschappen.
  • Het is mogelijk om het combineren te controleren op programma-ID met de Taakbalk Inspecteur .

Combinatie ongedaan maken: ...

Deze opties maken dat bij gecombineerde groepen het combineren ongedaan wordt gemaakt bij een speciale gebeurtenis:

  • Actieve groep

Wanneer één van de vensters van een gecombineerde groep actief wordt, dan wordt het combineren van deze groep ongedaan gemaakt.

  • Bij muis eroverheen bewegen

Wanneer de muis over een gecombineerde groep wordt bewogen, dan wordt het combineren van deze groep ongedaan gemaakt.

...en de labels tonen

Wanneer aangevinkt, maken bovenstaande opties naast het ongedaan maken van het combineren ook de labels van de taakbalkknoppen zichtbaar.


Linker muisklik op gecombineerd item

Tweaks (Aanpassingen) ›› Groeperen en combineren ››

Definieert de uit te voeren actie bij een linker muisklik op een gecombineerde groep:

  • Open miniatuurvoorbeeld (standaard)
  • Doorloop de vensters
  • Open het laatste venster als inactief, anders open miniatuurvoorbeeld

Wanneer geen van de vensters van een groep actief is, wissel dan naar het laatst actieve venster van die groep.
Open anders een miniatuurvoorbeeld.

Opmerking

Druk Ctrl in met tegelijkertijd een linker muisklik op een gecombineerde groep voor de andere actie.


Andere taakbalk opties

Tweaks (Aanpassingen) ››

Opties

  • Muiswiel
  • Dubbel/middel muisklik op lege ruimte
  • Diversen


Muiswiel

Tweaks (Aanpassingen) ›› Andere taakbalk opties ››

Wisselen tussen taakbalkknoppen

Wanneer aangevinkt, zal het draaien van het muiswiel met de muiscursor boven de taakbalk als resultaat het wisselen/roteren tussen taakbalkknoppen weergeven.

Sla geminimaliseerde vensters over

Wanneer aangevinkt, worden geminimaliseerde vensters overgeslagen als de muiscursor eroverheen wordt bewogen.

Minimaliseer/herstel bij muis erover: ...

Met deze opties kan een venster worden geminimaliseerd/hersteld door het bewegen van het muiswiel als de muiscursor over betreffende item heengaat:

  • Taakbalkknoppen
  • Miniatuurweergaven

Geluid-volumecontrole bij muis erover: ...

Wanneer aangevinkt, zal het bewegen van het muiswiel de geluid-volumecontrole openen als de muiscursor over aangegeven gebied gaat:

  • Op de taakbalk
  • In het berichtengebied

Bonus

Wanneer één van bovenstaande opties is aangevinkt, dan zal een middel muisklik op het volumecontrole-icoon de luidsprekers dempen of het dempen opheffen.


Dubbel/middel muisklik op lege ruimte

Tweaks (Aanpassingen) ›› Andere taakbalk opties ››

Deze opties hebben betrekking op de lege ruimte van de taaklijst:

Standaard gebeurt er niets bij het middel of dubbel muisklikken op de lege ruimte.

Met deze opties kan een uit te voeren actie worden gekozen:

  • Niets (standaard)
  • Toon bureaublad
  • Ctrl+Alt+Tab
  • Taakbeheer
  • Taakbalk Inspecteur
  • Dempen systeemvolume aan/uitzetten
  • Taakbalk automatisch verbergen aan/uitzetten
  • Win+Tab / Ctrl+Win+Tab
  • Startmenu/Startscherm


Diversen

Tweaks (Aanpassingen) ›› Andere taakbalk opties ››

Verberg de Startknop

Verbergt de Startknop.

Om het Startmenu in Windows 7 te openen, klik op de hoek waar de Startknop zich bevond.

Om het Startscherm in Windows 8.1 te openen, klik in de hoek linksonder op het beeldscherm.

Deze optie heeft natuurlijk geen effect bij Windows 8, omdat daar standaard geen Startknop aanwezig is.

Ervoor

Erna

Verberg knop "Bureaublad weergeven"

Verbergt de knop "Bureaublad weergeven" aan het einde van de taakbalk.

Ervoor (ingedrukt)

Erna

Toon seconden bij systeemvakklok

Toont seconden als toevoeging op minuten en uren bij de systeemvakklok.

Reserveer lege ruimte op taakbalk

7+ Taskbar Tweaker heeft opties voor een dubbel/middel muisklik op lege ruimte .
Deze werken uitstekend behalve wanneer de taakbalk vol raakt.
Deze optie reserveert een klein vierkantje aan het einde van de taaklijst waar dan altijd dubbel/middel gemuisklikt kan worden.

Ervoor

Erna


Taakbalk Inspecteur

De Taakbalk Inspecteur is voornamelijk een lijst van taakbalk items, gegroepeerd op programma-ID zoals gegroepeerd op de taakbalk.

Opmerking

Ctrl+Shift indrukken terwijl de Taakbalk Inspecteur wordt geopend zorgt ervoor dat deze op de voorgrond zichtbaar blijft, ook als de focus er vanaf gaat.

Druk Esc om het venster te sluiten.

Programma-ID's

Elk niet-ingesprongen item in de lijst met een pijlvormige icoon representeert een programma-ID.

Een programma kan onderliggende ingesprongen weergegeven items hebben. Deze representeren taakbalkknoppen

Bij een vastgemaakt item heeft het programma-ID geen onderliggend item.

Bij een taakbalkknop heeft het programma-ID één onderliggend item.

Bij een groep taakbalkknoppen heeft het programma-ID meerdere onderliggende items.

Dubbel muisklikken op een programma-ID selecteert onderliggende items.

Rechts muisklikken op een programma-ID item (wanneer uitsluitend het programma-ID item is geselecteerd) geeft per programma-ID opties weer:

  • Toon labels
  • Groeperen

Lees hier meer over groeperen.

  • Groeperen van vastgemaakte items

Lees hier meer over het groeperen van vastgemaakte items.

  • Combineren

Lees hier meer over combineren.

  • Sorteer groepsitems (Uitsluitend wanneer meerdere items geselecteerd zijn)

Sorteert onderliggende items alfabetisch.

Taakbalk knoppen

De ingesprongen items in de lijst representeren de taakbalkknoppen.

Een taakbalkknop item verslepen herordent deze binnen de groep.

Door het rechts muisklikken van een taakbalkknop worden opties weergegeven voor het venster van de taakbalkknop:

  • Verander programma-ID

Verandert het programma-ID van het venster van de geselecteerde taakbalkknop.

Naast de beschikbare programma-ID's zijn er twee speciale opties:

    • random_groep_[nummer]

Verandert het programma-ID van het venster naar een random programma-ID gegenereerd door 7+ Taskbar Tweaker.

Taakbalkknoppen van deze random programma-ID's groeperen altijd, zelfs wanneer groeperen uitstaat, wat het gemakkelijk maakt om meerdere items te selecteren en deze samen te groeperen.

    • (herstellen)

Herstelt het programma-ID van het venster naar het standaard proces-programma-ID.

  • Cascade (Uitsluitend wanneer meerdere items zijn geselecteerd)
  • Horizontaal ordenen (Uitsluitend wanneer meerdere items zijn geselecteerd)
  • Verticaal ordenen (Uitsluitend wanneer meerdere items zijn geselecteerd)
  • Herstellen
  • Minimaliseren
  • Maximaliseren
  • Sluiten


Instellingen

Activeer bij opstarten

Definieert of 7+ Taskbar Tweaker geactiveerd wordt bij het opstarten van Windows.

Opmerking

Deze instelling creëert de registerwaarde 7 Taskbar Tweaker in de volgende sectie:

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

Deze waarde bevat 7+ Taskbar Tweaker's uitvoerbare programmapad gevolgd door de -hidewnd command line schakelaar.

Controleer op nieuwe versies

Wanneer aangevinkt, controleert 7+ Taskbar Tweaker automatisch op nieuwe versies.

Als een nieuwe versie beschikbaar is, vertoont het systeem icoon een groene pijl en verschijnt er een ballonmelding.

Wanneer wordt gemuisklikt op de ballonmelding opent zich een dialoogvenster waarmee de nieuwe versie met één enkele muisklik geïnstalleerd kan worden.

Het is ook mogelijk om het wijzigingen logboek te bekijken en de kennisgeving voor een specifieke versie uit te schakelen.

Opmerking

7+ Taskbar Tweaker controleert elke 24 uur op nieuwe versies.

Nieuwe versies automatisch

Wanneer aangevinkt, installeert 7+ Taskbar Tweaker op de achtergrond automatisch een nieuwe versie als die beschikbaar is.

Verberg systeemvak icoon

Wanneer aangevinkt, dan is 7+ Taskbar Tweaker's systeemvak icoon verborgen.

Start 7+ Taskbar Tweaker om het hoofdvenster te tonen wanneer de systeemvak icoon verborgen is.

Om 7+ Taskbar Tweaker te kunnen afsluiten moet de systeemvak icoon eerst zichtbaar worden gemaakt.

Systeemvak icoon linker muisklik opent: ...

Geeft de keuzemogelijkheid om middels een linker muisklik op het systeemvak icoon het venster te openen van:

  • 7+ Taskbar Tweaker
  • Taakbalk Inspecteur

Taal: ...

Geeft de keuzemogelijkheid om de (dialoogvenster-) interfacetaal in te stellen.

Opmerking

Voor details over het vertalen van 7+ Taskbar Tweaker naar de eigen taal zie online FAQ (online Veelgestelde Vragen).


Geavanceerd

7+ Taskbar Tweaker heeft additionele opties die voorzien in verdere aanpassing.

Met de Geavanceerde Opties Editor kan toegang worden verkregen tot deze opties.

Deze editor kan worden geopend vanuit het 7+ Taskbar Tweaker systeemvakicoon

via het rechter muisklik menu of vanuit het hoofdvenster systeemmenu.


Geavanceerde opties

Geavanceerd ››

Sommige van deze uitgebreide/geavanceerde opties kunnen worden gebruikt om aspecten van 7+ Taskbar Tweaker te optimaliseren, andere hebben betrekking op mindergebruikte functies of reparatie van onjuist werkende functies.

Waarden

Name

Data

always_show_thumb_labels

Standaard bevatten miniatuurvoorbeelden alleen labels als de labels van de taakbalkknoppen niet worden getoond.

Deze optie maakt de labels van miniatuurvoorbeelden altijd zichtbaar ongeacht of de labels van de taakbalkknoppen worden getoond.

0 - uitgezet (standaard), 1 - aangezet.

always_show_tooltip

Standaard wordt alleen een infolabel getoond als de muis over een taakbalk item wordt bewogen en de tekst niet in de knop past. Deze optie forceert dat een infolabel altijd wordt getoond.

0 - uitgezet (standaard), 1 - aangezet.

cycle_same_virtual_desktop

Fixes the Left click on combined item option to cycle only through windows that belong to the current virtual desktop. The option affects only Windows 10, until Windows 10 Anniversary Update, where the bug was fixed.

0 - uitgezet (standaard), 1 - aangezet.

disable_items_drag

Deze optie zet de sleepfunctie van taakbalk items op de taaklijst uit. Dit betekent dat registratie van items niet meer mogelijk is en de jump list niet meer verschijnt als een item naar het bureaublad wordt gesleept.

0 - uitgezet (standaard), 1 - aangezet.

disable_taskbar_transparency

Deze optie maakt het mogelijk om de doorzichtigheid van de taakbalk uit te zetten.

0 - geen verandering (standaard).

1 - doorzichtigheid uit.

2 - doorzichtigheid uit en gebruik het taakbalk basiskleuren thema (Windows 7).

disable_topmost

Standaard is de taakbalk altijd op de voorgrond. Met deze optie kan dat worden aangepast.

0 - Altijd op de voorgrond (standaard).

1 - Niet altijd op de voorgrond, maar niet bedekt door gemaximaliseerde vensters.

2 - Niet altijd op de voorgrond en bedekt door gemaximaliseerde vensters.

disable_tray_icons_drag

Deze optie zet de versleep mogelijkheid van berichtengebied items uit.

Daardoor kunnen deze items niet meer worden herordend.

0 - uitgezet (standaard), 1 - aangezet.

drag_towards_desktop

Als je een taakbalk item naar het bureaublad sleept,

verschijnt standaard de jumplist. Via deze optie kun je een alternatieve functionaliteit instellen.

0 - Jumplist (standaard)

1 - Uitgezet

2 - Wissel naar

3 - Minimaliseer

4 - Sluiten

5 - Nieuwe instantie

6 - Toon miniatuurvoorbeeld

fix_hang_reposition

Als gevolg van een fout in Windows kan wanneer een venster vastzit de bijbehorende taakbalkknop verdwijnen en weer verschijnen aan het einde van de taakbalk als het venster weer reageert.

Deze optie verhelpt deze fout.

0 - uitgezet, 1 - aangezet (standaard).

list_reverse_order

Als de Muis eroverheen bewegen optie op Lijst wordt gezet worden nieuwere items onder de oudere getoond.

Met deze optie kan de ordening van deze items worden omgekeerd.

Deze optie werkt bij Windows 7, Windows 8 en Windows 8.1.

0 - uitgezet (standaard), 1 - aangezet.

multipage_wheel_scroll

Als de taakbalk te veel items bevat, worden extra pagina's gecreëerd en een schuifbalk getoond.

Deze optie maakt het mogelijk tussen die pagina's te verschuiven met gebruik van het muiswiel.

0 - uitgezet (standaard), 1 - aangezet.

multirow_equal_width

Als een taakbalk met meerdere rijen wordt gebruikt, dan forceert deze optie dat de items op elke rij dezelfde breedte hebben.

Merk op dat deze optie geen effect heeft als er gegroepeerde, gecombineerde of vastgemaakte items op de taakbalk aanwezig zijn.

0 - uitgezet (standaard), 1 - aangezet.

no_start_btn_spacing

Als de Verberg de Startknop optie is aangezet, kan met deze optie de grootte van de ruimte tussen de zijkant van de taakbalk en de taaklijst worden aangepast. De standaard afstand is 13 pixels bij Windows 7 en 8 en 0 bij Windows 10.

0 - uitgezet (standaard), ongelijk nul - de grootte van deze ruimte in pixels.

no_width_limit

Windows begrenst standaard de minimum breedte van de verticale taakbalk. Deze begrenzing kan voor sommigen te beperkt zijn. Deze optie verwijdert deze begrenzing.

0 - uitgezet (standaard), 1 - aangezet.

nocheck_minimize

nocheck_maximize

nocheck_close

Standaard zal voordat een venster minimaliseert/maximaliseert/sluit 7+ Taskbar Tweaker controleren of het venster deze handeling ondersteund.
Deze opties maken het mogelijk deze controles uit te zetten. Wees ervan bewust dat dit onverwachte effecten kan hebben.

Wordt gebruikt bij: Middel muisklik opties, muiswiel minimalisering opties en Taakbalk Inspecteur.

0 - uitgezet (standaard), 1 - aangezet.

pinned_ungrouped_animate_launch

Wanneer de Vastgemaakte items niet groeperen optie aangevinkt is wordt de animatie uitgezet bij het muisklikken op een vastgemaakt item.
Deze optie voorkomt dat de animatie wordt uitgezet.

0 - uitgezet (standaard), 1 - aangezet.

right_drag_toggle_labels

Voegt een extra eigenschap toe aan de <Sleep binnen/tussen groepen met gebruik van de rechter muisknop> optie. Als deze optie wordt aangezet, zal het draaien van het muiswiel terwijl de rechter muistoets wordt ingedrukt het label tonen/verbergen van het programma-ID van taakbalk knoppen waar overheen wordt bewogen.

0 - uitgezet (standaard), 1 - aangezet.

scroll_maximize_restore

Breidt de Minimaliseer/herstel bij muis erover: ... optie uit naar wisselen tussen minimaliseer/herstel/maximaliseer.

0 - uitgezet (standaard), 1 - aangezet.

scroll_no_wrap

Disables the wrapping around behavior for the cycle between taskbar buttons option.

By default, if the last taskbar button is the active button, cycling further will activate the first button again. This option allows to disable this behavior, so that cycling will stop on the last taskbar button.

0 - Disabled (default)

1 - Enabled

scroll_reverse_cycle

Keert de muiswieldraairichting om voor de wisselen tussen taakbalkknoppen optie.

Standaard zal naar beneden/achteren draaien een naar rechts wisselen/roteren van taakbalkknoppen tot gevolg hebben en naar boven/voren draaien een naar links wisselen/roteren. Deze optie draait de wissel/roteerrichting om.

0 - uitgezet (standaard), 1 - aangezet.

scroll_reverse_minimize

Keert de muiswieldraairichting om voor de

minimaliseer/herstel bij muis erover... opties.

Standaard zal naar beneden/achteren draaien het venster minimaliseren en naar boven/voren draaien het venster herstellen (tenzij de taakbalk bovenaan het venster geplaatst is). Deze optie keert de draairichting om.

0 - uitgezet (standaard), 1 - aangezet.

show_desktop_button_size

Geeft de mogelijkheid de grootte van de "Bureaublad weergeven" knop aan te passen.

Standaard grootte: 15 pixels bij Windows 7 en 8, 8 pixels bij Windows 8.1 en 5 pixels bij Windows 10.

0 - uitgezet (standaard), ongelijk nul - de grootte van deze knop in pixels.

show_desktop_on_hover

Deze optie laat de taakbalk het bureaublad zien als een bestand over een lege plek op de taaklijst wordt gesleept, vergelijkbaar met de manier waarop dat werkt met de Bureaublad weergeven knop. Deze functionaliteit is vergelijkbaar met de manier waarop dat werkte in Windows XP.

0 - uitgezet (standaard), 1 - aangezet.

sndvol_tooltip

De volumecontrole optie maakt gebruik van het Windows volumecontrole programma als indicator.
Deze optie zorgt ervoor dat in plaats daarvan een tooltip (hint) wordt gebruikt.

0 - uitgezet (standaard), 1 - aangezet.

tray_clock_fix_width

Zelfs wanneer de datum niet wordt getoond bij de systeemvakklok (wanneer kleine iconen worden gebruikt) wordt de klokbreedte berekend uitgaande van zowel de breedte van de tekst van de tijd als die van de datum. Deze optie repareert dit probleem zodat wanneer enkel de klok wordt getoond de breedte van de datumtekst niet wordt meegerekend.

The bug was officially fixed in Windows 10 Anniversary Update.

0 - uitgezet (standaard), 1 - aangezet.

tray_icons_padding

Maakt het mogelijk om de horizontale afstand tussen iconen in het berichtengebied aan te passen.

Until Windows 10: The default horizontal padding is 8 pixels. The option allows to set a different padding size, in pixels.

Note: in early versions of Windows (e.g. Windows XP), the padding was equal to 2 pixels.

Since Windows 10: The option allows to increase the default horizontal padding size between icons, using an internal padding calculation algorithm.

0 - uitgezet (standaard), ongelijk nul - de horizontale afstand.

virtual_desktop_order_fix

Windows 10 introduces the virtual desktops feature, but it has a limitation: custom reordering of the taskbar buttons on the task list is not preserved between virtual desktop switches. This option causes explorer to preserve the custom order.

0 - Disabled (default)

1 - Enabled

w10_large_icons

Als grote iconen worden gebruikt was hun grootte in vroegere versies van Windows 32x32. In Windows 10 is de standaard grootte 24x24. Deze optie maakt gebruik van 32x32 iconen weer mogelijk.

0 - uitgezet (standaard), 1 - aangezet.

w7_show_desktop_classic_corner

Repareert een fout in Windows 7: Als het klassieke thema wordt gebruikt activeert klikken op de beeldschermhoek waar de "Bureaublad weergeven" knop staat deze niet.

0 - uitgezet (standaard), 1 - aangezet.

w7_tasklist_htclient

Standaard gedraagt de taakbalk in Windows 7 zich als een verplaatsbaar besturingselement, zelfs wanneer deze op slot is gezet. Dit zorgt ervoor dat het geen linker muisklik berichten kan ontvangen en dat deze niet kunnen worden aangepast gebruikmakend van de Controle over muisknoppen opties.

Deze optie zorgt ervoor dat de taakbalk zich gedraagt als een statisch besturingselement wanneer op slot gezet, waardoor linker muisklik aanpassingen kunnen worden gemaakt.

Opmerking: Windows 8 gedraagt zich hierin correct en deze optie heeft daar dan ook geen effect.

0 - uitgezet (standaard), 1 - aangezet.


Controle over muisknoppen

Geavanceerd ››

Deze opties (tweaks) kunnen worden gebruikt om verschillende muisklik gebeurtenissen te koppelen aan taakbalk acties.

Merk op dat deze opties een hogere prioriteit hebben dan standaard tweaks.

Naamwaarde

De naamwaarde definieert het doelelement, de muisklikgebeurtenis en de wijzigende toetsen.

Doelelement

Momenteel worden deze ondersteund:

  • taskbaritem - een taakbalk item.
  • emptyspace - de lege ruimte van de taaklijst.
  • volumeicon - the volume/speakers notification icon.
  • showdesktop - the "Show desktop" button.

Muisklikgebeurtenis

Eén van de volgende:

  • lklik - Linker muisknop klik.
  • ldblklik - Linker muisknop dubbelklik.
  • rklik - Rechter muisknop klik.
  • rdblklik - Rechter muisknop dubbelklik.
  • mklik - Middel muisknop klik.
  • mdblklik - Middel muisknop dubbelklik.
  • x1klik - Muisknop 4 klik.
  • x1dblklik - Muisknop 4 dubbelklik.
  • x2klik - Muisknop 5 klik.
  • x2dblklik - Muisknop 5 dubbelklik.

De knoppen 4 en 5 refereren aan een 5-knopsmuis.

Wijzigende toetsen

Eén of meer van de volgende:

  • ctrl
  • shift

Een en ander samenvoegen

De uiteindelijke Naamwaarde ziet er zo uit:

doelelement|muisklikgebeurtenis+wijziger1+wijziger2

Bijvoorbeeld:

  • taskbaritem|ctrl+shift+lklik - een linker muisknop klik op een taakbalk item wanneer ctrl en shift zijn ingedrukt.
  • emptyspace|x1dblklik - een muisknop 4 dubbelklik op de lege ruimte van de taaklijst.

Datawaarde

De datawaarde definieert de uit te voeren actie bij de muisklikgebeurtenis.

De datawaarde betekenis hangt samen met het doelelement:

taskbaritem

  • 1 - Tonen
  • 2 - Minimaliseren
  • 3 - Sluiten
  • 4 - Nieuwe instantie
  • 5 - Jumplist
  • 6 - Standaard menu
  • 7 - Toon miniatuurvoorbeeld
  • 8 - Beëindig proces
  • 9 - Minimaliseer alle gegroepeerde items
  • 10 - Sluit alle gegroepeerde items
  • 11 - Maximaliseer alle gegroepeerde items
  • 12 - Herstel alle gegroepeerde items
  • 13 - Maximaliseer
  • 14 - Herstel
  • 15 - Alphabetically sort group items

emptyspace

volumeicon

showdesktop

  • 1 - Toon bureaublad
  • 2 - Ctrl+Alt+Tab
  • 3 - Taakbeheer
  • 4 - Taakbalk Inspecteur
  • 5 - Dempen systeemvolume aan/uitzetten
  • 6 - Taakbalk automatisch-verbergen aan/uitzetten
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Startmenu/Startscherm
  • 101 - Wissel naar het venster links van het actieve venster op de taakbalk.
  • 102 - Wissel naar het venster rechts van het actieve venster op de taakbalk.
  • 103 - Hetzelfde als 101 en sla geminimaliseerde vensters over.
  • 104 - Hetzelfde als 102 en sla geminimaliseerde vensters over.

Voorbeelden

  • emptyspace|x1dblklik - 1 - een muisknop 4 dubbelklik op de lege ruimte van de taaklijst toont het bureaublad.
  • taskbaritem|ctrl+shift+lklik - 3 - een linker muisknop klik op een taakbalkknop, wanneer ctrl en shift ingedrukt zijn, sluit het venster.


Sneltoetsen

Geavanceerd ››

Met deze opties kunnen sneltoetsen toegewezen worden aan acties op de taakbalk.

Naamwaarde

De naamwaarde definieert de sneltoets en de wijzigende toetsen.

Sneltoets

Een sneltoets wordt gerepresenteerd door een virtuele toetscode.

Deze kan bestaan uit een decimaal of een hexadecimaal nummer waarbij de laatste voorafgegaan moet worden door "0x".

De volledige lijst van sneltoetsen kan worden bekeken op De website van Microsoft .

Wijzigende toetsen

Eén of meer van de volgende:

  • alt
  • ctrl
  • shift
  • win
  • norepeat - Weerhoudt het systeem van het sturen van meerdere berichten wanneer een toets ingedrukt gehouden blijft.

Eén en ander samenvoegen

De uiteindelijke naamwaarde ziet er zo uit:

sneltoets|wijzigendetoets1+wijzigendetoets2

Bijvoorbeeld:

  • 0x27|ctrl+shift - Ctrl+Shift+Rechts.
  • 65|ctrl+alt+norepeat - Ctrl+Alt+A. Wordt éénmaal uitgevoerd zelfs als de sneltoets lange tijd ingedrukt gehouden blijft.

Datawaarde

De waarde van de data definieert de uit te voeren actie wanneer de sneltoets wordt ingedrukt.

  • 1 - Toon bureaublad
  • 2 - Ctrl+Alt+Tab
  • 3 - Taakbeheer
  • 4 - Taakbalk Inspecteur
  • 5 - Dempen systeemvolume aan/uitzetten
  • 6 - Automatisch taakbalk verbergen aan/uitzetten
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Startmenu/Startscherm
  • 101 - Wissel naar het venster links van het actieve venster op de taakbalk.
  • 102 - Wissel naar het venster rechts van het actieve venster op de taakbalk.
  • 103 - Hetzelfde als 101 en sla geminimaliseerde vensters over.
  • 104 - Hetzelfde als 102 en sla geminimaliseerde vensters over.

Voorbeelden

  • 0x25|ctrl+shift - 103 - Ctrl+Shift+Links wisselt/roteert naar links door de taakbalkknoppen, geminimaliseerde vensters overslaand.
  • 0x27|ctrl+shift - 104 - Ctrl+Shift+Rechts wisselt/roteert naar rechts door de taakbalkknoppen, geminimaliseerde vensters overslaand.
  • 65|ctrl+alt+norepeat - 4 - Ctrl+Alt+A opent de Taakbalk Inspecteur. Wordt éénmaal uitgevoerd zelfs als de sneltoets lange tijd ingedrukt gehouden blijft.